Skip to main content
GET
/
v1beta1
/
roles
List Roles
curl --request GET \
  --url https://api.example.com/v1beta1/roles
{
  "roles": [
    {
      "id": "<string>",
      "name": "<string>",
      "title": "<string>",
      "permissions": [
        {}
      ],
      "scopes": [
        {}
      ],
      "state": "<string>",
      "org_id": "<string>",
      "metadata": {},
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ]
}
Returns a list of platform-wide roles available in the entire Frontier instance along with their associated permissions.

Query Parameters

state
string
Filter roles by stateValues: enabled, disabled
scopes
array
Filter roles by scopes. Can specify multiple scopes.

Response

roles
array
Array of role objects
curl -X GET 'https://frontier.example.com/v1beta1/roles?state=enabled' \
  -H 'Authorization: Bearer <token>'

Response Example

{
  "roles": [
    {
      "id": "9f256f86-20ad-434e-b009-6d6dadec6aa9",
      "name": "org_owner",
      "title": "Organization Owner",
      "permissions": [
        "app_organization_update",
        "app_organization_delete",
        "app_project_create"
      ],
      "scopes": ["organization"],
      "state": "enabled",
      "org_id": "00000000-0000-0000-0000-000000000000",
      "metadata": {},
      "created_at": "2023-06-07T05:39:56.961Z",
      "updated_at": "2023-06-07T05:39:56.961Z"
    }
  ]
}

Build docs developers (and LLMs) love